
TYPO3.Fluid - Bug # 4488

Status: Resolved Priority: Must have
Author: Morton Jonuschat Category:
Created: 2009-09-08 Assigned To: Bastian Waidelich
Updated: 2010-10-20 Due date:
Has patch:
Affected Flow version:
Subject: SubmitViewHelper ignores name/value attributes
Description

The Fluid / Form SubmitViewHelper ignores name and/or value attributes given in the tag.

Attached patch fixes this bug.

Associated revisions
Revision 255e04ba - 2009-09-16 10:13 - Sebastian Kurfuerst

[+BUGFIX] Fluid (Core): Made sure that ViewHelper arguments can not be re-declared with the same name. Resolves #4492.
[+BUGFIX] Fluid (ViewHelpers): Fixed the Form Submit ViewHelper. Now, Name and Value are used correctly. Resolves #4488.

History
#1 - 2009-09-14 11:05 - Sebastian Kurfuerst
- Status changed from New to Accepted
- Assigned To set to Sebastian Kurfuerst

Thanks for your patch, I'll test it and commit.

#2 - 2009-09-14 11:05 - Sebastian Kurfuerst
- Assigned To changed from Sebastian Kurfuerst to Bastian Waidelich

Update: Bastian will write a test for it and commit.

#3 - 2009-09-14 11:06 - Sebastian Kurfuerst
- Project changed from Extbase MVC Framework to TYPO3.Fluid

#4 - 2009-09-16 11:01 - Sebastian Kurfuerst
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r3178.
